.menu {
    grid-area: menu;
}

.header {
    grid-area: header;
}

.main {
    grid-area: main;
    background: #0d0d0e;
}

.footer {
    grid-area: footer;
    background: #121212;
}
.menu {
    transition: all .3s;
    left: 0px;
    z-index: 1000;
}

.menu.active {
    left: 0px!important;
}
@media screen and (max-width: 1024px) { 
    .dashboard {
        grid-template-areas: 
            "header header header"
            "main main main"
            "footer footer footer";
        transition: all .3s;
    }

    .menu {
        left: -300px;
    }  

    .menu.active {
        left: 0px!important;
    }
}